> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Availability



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json get /activityebsapi/v1/availability/{productIdentifier}
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /activityebsapi/v1/availability/{productIdentifier}:
    get:
      tags:
        - ebs-controller
      summary: Availability
      operationId: getAvailabilityUsingGET
      parameters:
        - name: bookingTimeId
          in: query
          description: bookingTimeId
          required: true
          schema:
            type: string
        - name: endDate
          in: query
          description: endDate
          required: true
          schema:
            type: string
        - name: productIdentifier
          in: path
          description: productIdentifier
          required: true
          schema:
            type: string
        - name: startDate
          in: query
          description: startDate
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailabilityResponse'
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    AvailabilityResponse:
      type: object
      properties:
        availability:
          type: array
          items:
            $ref: '#/components/schemas/Availability'
      title: AvailabilityResponse
    Availability:
      type: object
      properties:
        date:
          type: string
        net:
          type: number
        notApplicable:
          type: boolean
        quantityAvailable:
          type: integer
          format: int32
        rrp:
          type: number
      title: Availability

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.